## amphetamine 0.8.7

=== Makefile ===
# Edit this file to define constants and custom build targets.
# Please refer to the makemake documentation for more information.

#===============
# User settings
#===============

PREFIX := /usr/local
INSTALL_DIR := ${PREFIX}/games/amph

# Linux or SPARC
TARGET_ARCH := Linux

USE_LIB_XPM := TRUE
SDL_HEADERS := /usr/local/include/SDL

#===============

# Useful directories

MYCODEDIR := ./src

# Directories to search for header files

SEARCHDIRS := -I- -I${MYCODEDIR} -I${SDL_HEADERS}

# makemake variables

LINKER       := g++
DEPENDFLAGS  := -g  ${SEARCHDIRS}
TOUCHHEADERS := ${MYCODEDIR}/*.h

# C

CC     := gcc
CFLAGS  = ${DEPENDFLAGS}

# C++

CXX      := g++ 
CXXFLAGS  = ${DEPENDFLAGS} -O9 -funroll-loops -fomit-frame-pointer -ffast-math -Wcast-align

%.o : %.cpp
	${CXX} ${CPPFLAGS} -c $< ${CXXFLAGS} -o $@

%.o : %.cxx
	${CXX} ${CPPFLAGS} -c $< ${CXXFLAGS}

# C preprocessor (C, C++, FORTRAN)
CPPFLAGS = -D_REENTRANT  -DINSTALL_DIR="\"${INSTALL_DIR}\""
ifeq ($(USE_LIB_XPM), TRUE)
    CPPFLAGS := $(CPPFLAGS) -D_USE_LIB_XPM 
endif

ifeq (${TARGET_ARCH}, SPARC)
    CPPFLAGS := $(CPPFLAGS) -D__SPARC__
endif

# linker

LOADLIBES := -lm -lSDL -ldl -lpthread

ifeq ($(USE_LIB_XPM),TRUE)
    LOADLIBES := $(LOADLIBES) -lXpm -lXt
endif

LDFLAGS   = -L/usr/local/lib -L/usr/X11R6/lib 

.PHONY : default
default : amph

.PHONY : install
install: amph
	@./mkinstalldirs ${INSTALL_DIR}
	@install -c ./amph ${INSTALL_DIR}
	@strip ${INSTALL_DIR}/amph
	@ln -s ${INSTALL_DIR}/amph ${PREFIX}/bin/amph

# This is what makemake added


# amph

amph : ./src/Element.o ./src/File.o ./src/Gifload.o ./src/Graphfil.o ./src/Gui.o ./src/Appl.o ./src/Bullet.o ./src/Clut.o ./src/ConstVal.o ./src/Creeper.o ./src/Item.o ./src/Level.o ./src/Main.o ./src/Monster.o ./src/Monstrxx.o ./src/Object.o ./src/ObjInfo.o ./src/Player.o ./src/Pltform.o ./src/Shape.o ./src/ShapeLd.o ./src/Surface.o ./src/Thing.o ./src/Weapon.o ./src/System.o ./src/SndSys.o ./src/SoundList.o
	${LINKER} ${LDFLAGS} -o $@ ${filter-out %.a %.so, $^} ${LOADLIBES}


# target for making everything

.PHONY : all
all: amph


# target for removing all object files

.PHONY : tidy
tidy::
	@${RM} core ./src/Appl.o ./src/Bullet.o ./src/Clut.o ./src/ConstVal.o ./src/Creeper.o ./src/Element.o ./src/File.o ./src/Gifload.o ./src/Graphfil.o ./src/Gui.o ./src/Item.o ./src/Level.o ./src/Main.o ./src/Monster.o ./src/Monstrxx.o ./src/ObjInfo.o ./src/Object.o ./src/Player.o ./src/Pltform.o ./src/Shape.o ./src/ShapeLd.o ./src/SndSys.o ./src/SoundList.o ./src/Surface.o ./src/System.o ./src/Thing.o ./src/Weapon.o

# target for removing all object files

.PHONY : clean
clean:: tidy
	@${RM} amph

# list of all source files

MM_ALL_SOURCES := ./src/Appl.cpp ./src/Bullet.cpp ./src/Clut.cpp ./src/ConstVal.cpp ./src/Creeper.cpp ./src/Element.cpp ./src/File.cpp ./src/Gifload.cpp ./src/Graphfil.cpp ./src/Gui.cpp ./src/Item.cpp ./src/Level.cpp ./src/Main.cpp ./src/Monster.cpp ./src/Monstrxx.cpp ./src/ObjInfo.cpp ./src/Object.cpp ./src/Player.cpp ./src/Pltform.cpp ./src/Shape.cpp ./src/ShapeLd.cpp ./src/SndSys.cpp ./src/SoundList.cpp ./src/Surface.cpp ./src/System.cpp ./src/Thing.cpp ./src/Weapon.cpp


# target for checking a source file

CHECKSYNTAXFILE := ${basename ${filter %${CHECKSTRING}, ${MM_ALL_SOURCES}}}

.PHONY : checksyntax
checksyntax:
  ifneq (${CHECKSYNTAXFILE},)
	@${MAKE} ${addsuffix .o, ${CHECKSYNTAXFILE}}
  else
	@echo No target to make ${CHECKSTRING}
  endif


# target for touching appropriate source files

.PHONY : touch
touch:
	@echo
	@echo Please ignore \"file arguments missing\" errors
	@echo
	@echo   `grep -l ${TOUCHSTRING} ${MM_ALL_SOURCES}`
	@-touch `grep -l ${TOUCHSTRING} ${MM_ALL_SOURCES}`
	@echo
	@echo   `grep -l ${TOUCHSTRING} ${TOUCHHEADERS}`
	@-touch `grep -l ${TOUCHSTRING} ${TOUCHHEADERS}`


# target for calculating dependencies

.PHONY : jdepend
jdepend:
	@makemake -depend Makefile -- ${DEPENDFLAGS} -- ./src/Appl.cpp ./src/Appl.o ./src/Bullet.cpp ./src/Bullet.o ./src/Clut.cpp ./src/Clut.o ./src/ConstVal.cpp ./src/ConstVal.o ./src/Creeper.cpp ./src/Creeper.o ./src/Element.cpp ./src/Element.o ./src/File.cpp ./src/File.o ./src/Gifload.cpp ./src/Gifload.o ./src/Graphfil.cpp ./src/Graphfil.o ./src/Gui.cpp ./src/Gui.o ./src/Item.cpp ./src/Item.o ./src/Level.cpp ./src/Level.o ./src/Main.cpp ./src/Main.o ./src/Monster.cpp ./src/Monster.o ./src/Monstrxx.cpp ./src/Monstrxx.o ./src/ObjInfo.cpp ./src/ObjInfo.o ./src/Object.cpp ./src/Object.o ./src/Player.cpp ./src/Player.o ./src/Pltform.cpp ./src/Pltform.o ./src/Shape.cpp ./src/Shape.o ./src/ShapeLd.cpp ./src/ShapeLd.o ./src/SndSys.cpp ./src/SndSys.o ./src/SoundList.cpp ./src/SoundList.o ./src/Surface.cpp ./src/Surface.o ./src/System.cpp ./src/System.o ./src/Thing.cpp ./src/Thing.o ./src/Weapon.cpp ./src/Weapon.o


# DO NOT DELETE THIS LINE -- makemake depends on it.

./src/Appl.o: ./src/AmpHead.hpp ./src/Appl.hpp ./src/Bullet.hpp ./src/Clut.hpp ./src/ConstVal.hpp ./src/Element.hpp ./src/File.hpp ./src/Graphfil.hpp ./src/Gui.hpp ./src/Level.hpp ./src/Monster.hpp ./src/ObjInfo.hpp ./src/Object.hpp ./src/Player.hpp ./src/Pltform.hpp ./src/Shape.hpp ./src/ShapeLd.hpp ./src/SndSys.hpp ./src/SoundList.hpp ./src/Surface.hpp ./src/System.hpp ./src/Thing.hpp ./src/Weapon.hpp /usr/include/limits.h /usr/include/math.h /usr/include/stdio.h /usr/include/stdlib.h

./src/Bullet.o: ./src/AmpHead.hpp ./src/Appl.hpp ./src/Bullet.hpp ./src/Clut.hpp ./src/ConstVal.hpp ./src/Element.hpp ./src/File.hpp ./src/Graphfil.hpp ./src/Level.hpp ./src/Monster.hpp ./src/ObjInfo.hpp ./src/Object.hpp ./src/Pltform.hpp ./src/Shape.hpp ./src/ShapeLd.hpp ./src/SndSys.hpp ./src/SoundList.hpp ./src/Surface.hpp ./src/System.hpp ./src/Thing.hpp ./src/Weapon.hpp /usr/include/limits.h /usr/include/math.h /usr/include/stdio.h /usr/include/stdlib.h

./src/Clut.o: ./src/AmpHead.hpp ./src/Clut.hpp ./src/ConstVal.hpp ./src/Element.hpp ./src/File.hpp ./src/Graphfil.hpp ./src/Level.hpp ./src/ObjInfo.hpp ./src/Object.hpp ./src/Pltform.hpp ./src/Shape.hpp ./src/ShapeLd.hpp ./src/Surface.hpp ./src/System.hpp ./src/Thing.hpp /usr/include/limits.h /usr/include/math.h /usr/include/stdio.h /usr/include/stdlib.h

./src/ConstVal.o: ./src/AmpHead.hpp ./src/ConstVal.hpp ./src/System.hpp /usr/include/limits.h /usr/include/math.h /usr/include/stdio.h /usr/include/stdlib.h /usr/include/string.h

./src/Creeper.o: ./src/AmpHead.hpp ./src/Creeper.hpp ./src/File.hpp ./src/Graphfil.hpp ./src/Monster.hpp ./src/ObjInfo.hpp ./src/Object.hpp ./src/Shape.hpp ./src/SoundList.hpp ./src/Surface.hpp ./src/System.hpp ./src/Thing.hpp ./src/Weapon.hpp /usr/include/limits.h /usr/include/math.h /usr/include/stdio.h /usr/include/stdlib.h

./src/Element.o: ./src/AmpHead.hpp ./src/Appl.hpp ./src/Bullet.hpp ./src/ConstVal.hpp ./src/Element.hpp ./src/File.hpp ./src/Graphfil.hpp ./src/Gui.hpp ./src/Level.hpp ./src/Monster.hpp ./src/ObjInfo.hpp ./src/Object.hpp ./src/Player.hpp ./src/Pltform.hpp ./src/Shape.hpp ./src/ShapeLd.hpp ./src/SndSys.hpp ./src/SoundList.hpp ./src/Surface.hpp ./src/System.hpp ./src/Thing.hpp ./src/Weapon.hpp /usr/include/limits.h /usr/include/math.h /usr/include/stdio.h /usr/include/stdlib.h

./src/File.o: ./src/AmpHead.hpp ./src/File.hpp ./src/System.hpp /usr/include/limits.h /usr/include/math.h /usr/include/stdio.h /usr/include/stdlib.h

./src/Gifload.o: ./src/AmpHead.hpp ./src/Appl.hpp ./src/Bullet.hpp ./src/ConstVal.hpp ./src/Element.hpp ./src/File.hpp ./src/Graphfil.hpp ./src/Level.hpp ./src/ObjInfo.hpp ./src/Object.hpp ./src/Pltform.hpp ./src/Shape.hpp ./src/ShapeLd.hpp ./src/Surface.hpp ./src/System.hpp ./src/Thing.hpp /usr/include/limits.h /usr/include/math.h /usr/include/stdio.h /usr/include/stdlib.h /usr/include/string.h

./src/Graphfil.o: ./src/AmpHead.hpp ./src/Appl.hpp ./src/Bullet.hpp ./src/ConstVal.hpp ./src/Element.hpp ./src/File.hpp ./src/Graphfil.hpp ./src/Level.hpp ./src/ObjInfo.hpp ./src/Object.hpp ./src/Pltform.hpp ./src/Shape.hpp ./src/ShapeLd.hpp ./src/Surface.hpp ./src/System.hpp ./src/Thing.hpp /usr/include/limits.h /usr/include/math.h /usr/include/stdio.h /usr/include/stdlib.h /usr/include/string.h

./src/Gui.o: ./src/AmpHead.hpp ./src/Appl.hpp ./src/Bullet.hpp ./src/Clut.hpp ./src/ConstVal.hpp ./src/Element.hpp ./src/File.hpp ./src/Graphfil.hpp ./src/Gui.hpp ./src/Level.hpp ./src/Monster.hpp ./src/ObjInfo.hpp ./src/Object.hpp ./src/Player.hpp ./src/Pltform.hpp ./src/Shape.hpp ./src/ShapeLd.hpp ./src/SndSys.hpp ./src/SoundList.hpp ./src/Surface.hpp ./src/System.hpp ./src/Thing.hpp ./src/Weapon.hpp /usr/include/limits.h /usr/include/math.h /usr/include/stdio.h /usr/include/stdlib.h

./src/Item.o: ./src/AmpHead.hpp ./src/Appl.hpp ./src/Bullet.hpp ./src/Clut.hpp ./src/ConstVal.hpp ./src/Element.hpp ./src/File.hpp ./src/Graphfil.hpp ./src/Item.hpp ./src/Level.hpp ./src/ObjInfo.hpp ./src/Object.hpp ./src/Pltform.hpp ./src/Shape.hpp ./src/ShapeLd.hpp ./src/SndSys.hpp ./src/SoundList.hpp ./src/Surface.hpp ./src/System.hpp ./src/Thing.hpp /usr/include/limits.h /usr/include/math.h /usr/include/stdio.h /usr/include/stdlib.h

./src/Level.o: ./src/AmpHead.hpp ./src/Appl.hpp ./src/Bullet.hpp ./src/ConstVal.hpp ./src/Element.hpp ./src/File.hpp ./src/Graphfil.hpp ./src/Gui.hpp ./src/Level.hpp ./src/Monster.hpp ./src/ObjInfo.hpp ./src/Object.hpp ./src/Player.hpp ./src/Pltform.hpp ./src/Shape.hpp ./src/ShapeLd.hpp ./src/SoundList.hpp ./src/Surface.hpp ./src/System.hpp ./src/Thing.hpp ./src/Weapon.hpp /usr/include/limits.h /usr/include/math.h /usr/include/stdio.h /usr/include/stdlib.h /usr/include/time.h

./src/Main.o: ./src/AmpHead.hpp ./src/Appl.hpp ./src/Bullet.hpp ./src/Clut.hpp ./src/ConstVal.hpp ./src/Element.hpp ./src/File.hpp ./src/Graphfil.hpp ./src/Gui.hpp ./src/Level.hpp ./src/Monster.hpp ./src/ObjInfo.hpp ./src/Object.hpp ./src/Player.hpp ./src/Pltform.hpp ./src/Shape.hpp ./src/ShapeLd.hpp ./src/SndSys.hpp ./src/SoundList.hpp ./src/Surface.hpp ./src/System.hpp ./src/Thing.hpp ./src/Weapon.hpp /usr/include/limits.h /usr/include/math.h /usr/include/stdio.h /usr/include/stdlib.h

./src/Monster.o: ./src/AmpHead.hpp ./src/Appl.hpp ./src/Bullet.hpp ./src/ConstVal.hpp ./src/Element.hpp ./src/File.hpp ./src/Graphfil.hpp ./src/Level.hpp ./src/Monster.hpp ./src/ObjInfo.hpp ./src/Object.hpp ./src/Pltform.hpp ./src/Shape.hpp ./src/ShapeLd.hpp ./src/SoundList.hpp ./src/Surface.hpp ./src/System.hpp ./src/Thing.hpp ./src/Weapon.hpp /usr/include/limits.h /usr/include/math.h /usr/include/stdio.h /usr/include/stdlib.h

./src/Monstrxx.o: ./src/AmpHead.hpp ./src/Appl.hpp ./src/Bullet.hpp ./src/ConstVal.hpp ./src/Element.hpp ./src/File.hpp ./src/Graphfil.hpp ./src/Level.hpp ./src/Monster.hpp ./src/Monstrxx.hpp ./src/ObjInfo.hpp ./src/Object.hpp ./src/Pltform.hpp ./src/Shape.hpp ./src/ShapeLd.hpp ./src/SoundList.hpp ./src/Surface.hpp ./src/System.hpp ./src/Thing.hpp ./src/Weapon.hpp /usr/include/limits.h /usr/include/math.h /usr/include/stdio.h /usr/include/stdlib.h

./src/ObjInfo.o: ./src/AmpHead.hpp ./src/Appl.hpp ./src/Bullet.hpp ./src/ConstVal.hpp ./src/Element.hpp ./src/File.hpp ./src/Graphfil.hpp ./src/Item.hpp ./src/Level.hpp ./src/Monster.hpp ./src/Monstrxx.hpp ./src/ObjInfo.hpp ./src/Object.hpp ./src/Player.hpp ./src/Pltform.hpp ./src/Shape.hpp ./src/ShapeDes.hpp ./src/ShapeLd.hpp ./src/SoundList.hpp ./src/Surface.hpp ./src/System.hpp ./src/Thing.hpp ./src/Weapon.hpp /usr/include/limits.h /usr/include/math.h /usr/include/stdio.h /usr/include/stdlib.h

./src/Object.o: ./src/AmpHead.hpp ./src/Appl.hpp ./src/Bullet.hpp ./src/ConstVal.hpp ./src/Element.hpp ./src/File.hpp ./src/Graphfil.hpp ./src/Level.hpp ./src/ObjInfo.hpp ./src/Object.hpp ./src/Pltform.hpp ./src/Shape.hpp ./src/ShapeLd.hpp ./src/Surface.hpp ./src/System.hpp ./src/Thing.hpp /usr/include/limits.h /usr/include/math.h /usr/include/stdio.h /usr/include/stdlib.h

## amphetamine 0.8.10

=== Makefile ===
--- 
+++ 
@@ -1,20 +1,20 @@
-# Edit this file to define constants and custom build targets.
-# Please refer to the makemake documentation for more information.
-
 #===============
 # User settings
 #===============
 
+# Install Paths
 PREFIX := /usr/local
 INSTALL_DIR := ${PREFIX}/games/amph
 
-# Linux or SPARC
-TARGET_ARCH := Linux
+# Libraries
+USE_LIB_XPM := TRUE
 
-USE_LIB_XPM := TRUE
-SDL_HEADERS := /usr/local/include/SDL
+SDL_CONFIG := sdl-config
+SDL_HEADERS := $(shell $(SDL_CONFIG) --cflags)
+SDL_LIBS := $(shell $(SDL_CONFIG) --libs)
 
-#===============
+#=======================================================
+# You should not have to change anything below
 
 # Useful directories
 
@@ -22,7 +22,7 @@
 
 # Directories to search for header files
 
-SEARCHDIRS := -I- -I${MYCODEDIR} -I${SDL_HEADERS}
+SEARCHDIRS := -I${MYCODEDIR} ${SDL_HEADERS}
 
 # makemake variables
 
@@ -37,7 +37,7 @@
 
 # C++
 
-CXX      := g++ 
+CXX      := g++
 CXXFLAGS  = ${DEPENDFLAGS} -O9 -funroll-loops -fomit-frame-pointer -ffast-math -Wcast-align
 
 %.o : %.cpp
@@ -47,24 +47,26 @@
 	${CXX} ${CPPFLAGS} -c $< ${CXXFLAGS}
 
 # C preprocessor (C, C++, FORTRAN)
-CPPFLAGS = -D_REENTRANT  -DINSTALL_DIR="\"${INSTALL_DIR}\""
+CPPFLAGS = -DINSTALL_DIR="\"${INSTALL_DIR}\""
+
 ifeq ($(USE_LIB_XPM), TRUE)
     CPPFLAGS := $(CPPFLAGS) -D_USE_LIB_XPM 
 endif
 
-ifeq (${TARGET_ARCH}, SPARC)
-    CPPFLAGS := $(CPPFLAGS) -D__SPARC__
+# Allow unaligned memory access on IA-32
+ifeq ($(HOSTTYPE),i386)
+	CPPFLAGS := $(CPPFLAGS) -D__OPT_MEM_ACCESS__
 endif
 
 # linker
 
-LOADLIBES := -lm -lSDL -ldl -lpthread
+LOADLIBES := -lm $(SDL_LIBS)
 
 ifeq ($(USE_LIB_XPM),TRUE)
     LOADLIBES := $(LOADLIBES) -lXpm -lXt
 endif
 
-LDFLAGS   = -L/usr/local/lib -L/usr/X11R6/lib 
+LDFLAGS   = -L/usr/lib -L/usr/local/lib -L/usr/X11R6/lib 
 
 .PHONY : default
 default : amph

=== debian/changelog ===
amphetamine (0.8.10-19) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Remove DM-Upload-Allowed.

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Dominik George ]
  * debian/amphetamine.menu: Added icon entry (closes: #726204).

  [ Michael Gilbert ]
  * Use debhelper 9.
  * Convert icon to 32x32.
  * Fix format string issue.
  * Address some lintian warnings.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 06 Apr 2014 04:00:16 +0000

amphetamine (0.8.10-18) unstable; urgency=low

  * Use multiarch paths for libc6-dev includes (closes: #650468).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Fri, 02 Dec 2011 18:41:07 -0500

amphetamine (0.8.10-17) unstable; urgency=low

  * Change build-depend to libc6-dev-i386 [amd64] (closes: #650468).
  * Install upstream changelog.
  * Add descriptions to patches.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Thu, 01 Dec 2011 23:01:07 -0500

amphetamine (0.8.10-16) unstable; urgency=low

  * build-depend on libc6-dev-i386 (closes: #640554). 
  * use -iquote and -Wno-write-strings build flags.
  * bump standards version to 3.9.2.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sun, 11 Sep 2011 18:18:38 -0400

amphetamine (0.8.10-15) unstable; urgency=low

  * adopt the package (closes: #544910).
  * set myself as an uploader.
  * set dm-upload-allowed.
  * bump standards version to 3.9.1.
  * convert to source format 3.0 and simplified debian/rules.
  * remove watch file since upstream no longer exists.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Mon, 14 Mar 2011 22:25:57 -0400

amphetamine (0.8.10-14) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * disable 000_gcc_m68k.diff that was forcing the use of gcc 4.1.
    amphetamine should build fine on m68k now with the default gcc
    (Closes: #479573)
  * clean the .pc/ directory

 -- Debian Games Team <pkg-games-devel@lists.alioth.debian.org>  Sat, 09 Aug 2008 14:58:26 +0200

amphetamine (0.8.10-13) unstable; urgency=low

  [ Barry deFreese ]
  * Bump compat/debhelper to 5.
  * Add Hompage and vcs tags to debian/control.
  * Remove Homepage field from package description.
  * Fix make clean target for lintian warning.
  * Bump Standards Version to 3.7.3.
    + Menu policy transition.
  * Fix watch file (Closes: #456472).
  * Add desktop file. (Closes: #471254).
    + Add call to dh_desktop.
  * Replace 'pwd' with $(CURDIR) in rules.
  * Update Homepage URL.
  * Add myself to uploaders.

  [ Eddy Petrișor ]
  * fix Vcs-Svn URL to point to svn, not the incomplete ssh location.

  [ Jon Dowland ]
  * add debian/amphetamine.links, creating symlinks amphetamine -> amph
    for binaries and manpages (Closes: #471257).
  * update menu section to "Games/Action" for menu transition
    (thanks Linas Žvirblis).

 -- Barry deFreese <bddebian@comcast.net>  Tue, 18 Mar 2008 14:09:19 -0400

amphetamine (0.8.10-12) unstable; urgency=high

  [ Sam Hocevar (Debian packages) ]
  * debian/patches/000_no_lxt.diff:
    + New patch. Removes useless -lXt link flag (Closes: #397558).

 -- Jon Dowland <jon@alcopop.org>  Thu, 12 Jul 2007 11:22:44 +0100

amphetamine (0.8.10-11) unstable; urgency=low

  [ Sam Hocevar ]
  * debian/patches/020_assumed_sizeof_long.diff:
    + New patch, courtesy of Darren Salt: fix wrong assumption that long is
      a 32 bit type (Closes: #380404).

  [ Eddy Petrișor ]
  * fixed watch file
  * added a link to the upstream homepage

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed,  2 Aug 2006 11:11:24 +0200

amphetamine (0.8.10-10) unstable; urgency=low

  * debian/control:
    + Remove the amphetamine/amphetamine-data dependency loop.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 27 May 2006 09:30:09 +0200

amphetamine (0.8.10-9) unstable; urgency=low

  * Maintainer upload.
  * Acknowledge previous NMU (Closes: 346658). Thanks to Luk Claes.
  * Moved packaging to the Debian Games Team.
  * Use quilt for patch management.
  * debian/control:
    + Set policy to 3.7.2.
    + Build-depend on quilt.

  * debian/patches/010_newline.diff:
    + New patch from old diff.gz -- fix newlines at end of file.

  * debian/patches/000_data_path.diff:
    + New patch from old diff.gz -- fix shared data paths in makefile.

  * debian/patches/010_missing_headers.diff:
    + New patch from old diff.gz -- fix compilation warnings.

  * debian/patches/010_etc_dir.diff:
    + New patch from old diff.gz -- use /etc as the configuration directory.

  * debian/patches/010_bugs.diff:
    + New patch from old diff.gz -- fix various bugs.

  * debian/patches/000_gcc_m68k.diff:
    + New patch -- use g++-4.1 on m68k to work around a g++ bug
      (Closes: #363318).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 15 May 2006 11:54:38 -0500

amphetamine (0.8.10-8.1) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346658).

 -- Luk Claes <luk@debian.org>  Sun, 15 Jan 2006 16:41:54 +0100

amphetamine (0.8.10-8) unstable; urgency=low

  * debian/control:
    + Set policy to 3.6.2.1.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 12 Nov 2005 14:18:21 +0100

amphetamine (0.8.10-7) unstable; urgency=low

  * Makefile:
    + Do not systematically strip the main binary (Closes: #230051).
  * src/Appl.cpp:
    + Fixed calculation of average time so that the monsters get their full
      timeslice after a pause (Closes: #226156).
  * src/ConstVal.cpp:
    + Fixed an uninitialised variable.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 27 Jan 2004 13:24:31 +0100

amphetamine (0.8.10-6) unstable; urgency=low

  * New maintainer (Closes: #226287).
  * debian/control:
    + Set policy to 3.6.1.0.
    + Slightly shortened the short description.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 27 Jan 2004 13:24:31 +0100

amphetamine (0.8.10-5) unstable; urgency=low

  * Orphaned the package.

 -- Joey Hess <joeyh@debian.org>  Mon,  5 Jan 2004 00:34:34 -0500



=== debian/control ===
Source: amphetamine
Section: games
Priority: optional
Build-Depends:
 debhelper (>= 9),
 libxpm-dev,
 imagemagick,
 libsdl1.2-dev (>= 1.2.2-3.1),
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: 
 Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Barry deFreese <bddebian@comcast.net>,
 Michael Gilbert <mgilbert@debian.org>
Standards-Version: 3.9.5
Homepage: http://homepage.hispeed.ch/loehrer/amph/amph.html
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/amphetamine/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/amphetamine/

Package: amphetamine
Architecture: any
Depends:
 amphetamine-data (>= 0.8.7-12),
 ${shlibs:Depends},
 ${misc:Depends}
Description: jump'n run game with unique visual effects
 Amphetamine is an exciting jump'n run game that offers some unique visual
 effects like colored lighting, fogging and coronas. You must fight eleven
 evil monsters with your magic weapons.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	cp ChangeLog changelog
	convert amph.xpm -resize 32x32 debian/amph.xpm

override_dh_clean:
	dh_clean -- changelog debian/amph.xpm
